%define module	Inline-Java
%define name	perl-%{module}
%define version	0.33
%define release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
The Inline::Java module allows you to put Java source code directly
"inline" in a Perl script or module. A Java compiler is launched and the
Java code is compiled. Then Perl asks the Java classes what public
methods have been defined. These classes and methods are available to
the Perl program as if they had been written in Perl. 

The process of interrogating the Java classes for public methods occurs
the first time you run your Java code. The namespace is cached, and
subsequent calls use the cached version. 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
n
EOF
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc CHANGES README README.JNI TODO
%{perl_vendorlib}/Inline
%{_mandir}/*/*

%changelog
* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.33-3mdk
- fixed dir ownership (distlint)
- let spec-helper do its job
- %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.33-2mdk
- rebuild for new auto{prov,req}

* Thu Apr 03 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.33-1mdk
- first mdk release
